# COG_to_TIF

TUFLOW 2023-03-AA provides support for GeoTiffs as a raster format.  Currently Cloud Optimised Geotiffs are not supported.  Cloud Optimised GeoTIFFs (COGs) are a format of GeoTIFF which are set up to allow easy storage and distribution via the Cloud. The GeoTIFFs are formatted slightly differently with internal tiling, overviews and compression which makes it easier to access and download parts of the data corresponding to the particular study area of interest, without the requirement to download the entire file first. COGs aren't currently supported by the 2023 version of TUFLOW, although they will be in the next TUFLOW release. Currently they would need to be converted using gdal translate.  This script provides a python script to convert a folder of COGs to TUFLOW supported GeoTIFFs using GDAL from OSGEO (which usually gets provided/installed by QGIS).
